Page MenuHomePhabricator

Magic word implementations should be moved out of Parser.php
Open, Needs TriagePublic

Description

Parser::expandMagicVariable should be moved into a separate class dedicated to implementation of magic words, much like CoreParserFunctions is the implementation of parser functions.

This will allow use of these magic word implementations from Parsoid.

Details

ProjectBranchLines +/-Subject
mediawiki/coremaster+412 -385
mediawiki/coremaster+5 -3
mediawiki/coremaster+21 -5
mediawiki/extensions/Wikibasemaster+6 -5
mediawiki/extensions/BlueSpicePageVersionmaster+4 -4
mediawiki/extensions/NewsTickermaster+6 -2
mediawiki/extensions/HitCountersmaster+3 -3
mediawiki/extensions/InteractiveBlockMessagemaster+7 -7
mediawiki/extensions/MyVariablesmaster+10 -9
mediawiki/extensions/S5SlideShowmaster+2 -2
mediawiki/extensions/WikimediaIncubatormaster+5 -3
mediawiki/coremaster+16 -8
mediawiki/extensions/SubpageFunmaster+14 -2
mediawiki/extensions/MintyDocsmaster+6 -6
mediawiki/extensions/OnlineStatusBarmaster+3 -3
mediawiki/extensions/UILangCodemaster+2 -2
mediawiki/extensions/FlaggedRevsmaster+2 -2
mediawiki/extensions/VoteNYmaster+4 -4
mediawiki/extensions/SiteMatrixmaster+4 -7
mediawiki/extensions/Commentsmaster+6 -6
mediawiki/extensions/NumberOfWikismaster+3 -3
mediawiki/extensions/ParserFunmaster+2 -2
Show related patches Customize query in gerrit

Event Timeline

cscott created this task.Oct 29 2019, 4:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 29 2019, 4:22 PM
ssastry edited projects, added Parsoid; removed Parsoid-PHP.Nov 5 2019, 5:52 PM
ssastry removed a subscriber: Parsing-Team.
LGoto moved this task from Needs Triage to Backlog on the Parsoid board.Feb 15 2020, 12:05 AM
LGoto moved this task from Backlog to Non-Parsoid Tasks on the Parsoid board.Feb 21 2020, 5:24 PM

Change 583752 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/core@master] WIP: Refactor magic word implementations out of Parser.php

https://gerrit.wikimedia.org/r/583752

Change 583766 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/core@master] Always cache magic word expansions

https://gerrit.wikimedia.org/r/583766

Change 583767 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/core@master] Deprecate the ParserGetVariableValueVarCache hook

https://gerrit.wikimedia.org/r/583767

Change 583768 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/core@master] Deprecate unusual uses of the ParserGetVariableValueVarSwitch hook

https://gerrit.wikimedia.org/r/583768

DannyS712 added a subscriber: DannyS712.

Change 583785 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/Wikibase@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583785

Change 583767 merged by jenkins-bot:
[mediawiki/core@master] Deprecate the ParserGetVariableValueVarCache hook

https://gerrit.wikimedia.org/r/583767

Change 583789 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/FlaggedRevs@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583789

Change 583790 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/SiteMatrix@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583790

Change 583791 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/WikimediaIncubator@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583791

Change 583793 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/BlueSpicePageVersion@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583793

Change 583794 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/Comments@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583794

Change 583795 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/HitCounters@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583795

Change 583797 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/NewsTicker@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583797

Change 583801 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/S5SlideShow@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583801

We should chat about the risk profile of this work in the context of covid19.

Change 583802 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/SubpageFun@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583802

Change 583803 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/InteractiveBlockMessage@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583803

Change 583804 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/MintyDocs@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583804

Change 583805 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/MyVariables@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583805

Change 583806 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/NumberOfWikis@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583806

Change 583807 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/OnlineStatusBar@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583807

Change 583808 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/ParserFun@master] WIP DNP: Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583808

Change 583809 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/VoteNY@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583809

Change 583815 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/UILangCode@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583815

Change 583766 merged by jenkins-bot:
[mediawiki/core@master] Always cache magic word expansions

https://gerrit.wikimedia.org/r/583766

Change 583806 merged by jenkins-bot:
[mediawiki/extensions/NumberOfWikis@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583806

Change 583794 merged by jenkins-bot:
[mediawiki/extensions/Comments@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583794

Change 583790 merged by jenkins-bot:
[mediawiki/extensions/SiteMatrix@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583790

Change 583809 merged by jenkins-bot:
[mediawiki/extensions/VoteNY@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583809

Change 583789 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583789

Change 583815 merged by jenkins-bot:
[mediawiki/extensions/UILangCode@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583815

Change 583807 merged by jenkins-bot:
[mediawiki/extensions/OnlineStatusBar@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583807

Change 583804 merged by jenkins-bot:
[mediawiki/extensions/MintyDocs@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583804

Change 583802 merged by jenkins-bot:
[mediawiki/extensions/SubpageFun@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583802

Change 583791 merged by jenkins-bot:
[mediawiki/extensions/WikimediaIncubator@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583791

Change 583801 merged by Jforrester:
[mediawiki/extensions/S5SlideShow@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583801

Change 583805 merged by jenkins-bot:
[mediawiki/extensions/MyVariables@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583805

Change 583803 merged by jenkins-bot:
[mediawiki/extensions/InteractiveBlockMessage@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583803

Change 583795 merged by jenkins-bot:
[mediawiki/extensions/HitCounters@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583795

Change 583797 merged by jenkins-bot:
[mediawiki/extensions/NewsTicker@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583797

Change 583793 merged by jenkins-bot:
[mediawiki/extensions/BlueSpicePageVersion@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583793

Change 583785 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Use the magic word value cache for magic word handlers

https://gerrit.wikimedia.org/r/583785

Change 583768 merged by jenkins-bot:
[mediawiki/core@master] Deprecate unusual uses of the ParserGetVariableValueSwitch hook

https://gerrit.wikimedia.org/r/583768

Change 583752 merged by jenkins-bot:
[mediawiki/core@master] Refactor magic word implementations out of Parser.php

https://gerrit.wikimedia.org/r/583752